From: "Fabian Groffen" <grobian@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/prefix:master commit in: dev-lang/python/
Date: Mon, 23 Nov 2020 20:08:49 +0000 (UTC) [thread overview]
Message-ID: <1606162086.d488453d99b00f15cbaa41793b227bacb489f869.grobian@gentoo> (raw)
commit: d488453d99b00f15cbaa41793b227bacb489f869
Author: Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 23 20:08:06 2020 +0000
Commit: Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Mon Nov 23 20:08:06 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/prefix.git/commit/?id=d488453d
dev-lang/python: fix urllib on Darwin platforms
Package-Manager: Portage-3.0.8-prefix, Repoman-3.0.2
Signed-off-by: Fabian Groffen <grobian <AT> gentoo.org>
dev-lang/python/python-3.7.8-r2.ebuild | 5 +++++
dev-lang/python/python-3.8.5.ebuild | 5 +++++
2 files changed, 10 insertions(+)
diff --git a/dev-lang/python/python-3.7.8-r2.ebuild b/dev-lang/python/python-3.7.8-r2.ebuild
index fc085055b7..178495ae2b 100644
--- a/dev-lang/python/python-3.7.8-r2.ebuild
+++ b/dev-lang/python/python-3.7.8-r2.ebuild
@@ -132,6 +132,11 @@ src_prepare() {
configure.ac configure || die
fi
+ # side-effect of disabling scproxy (see below), make sure we don't
+ # try to use it on Darwin either
+ sed -i -e '/sys.platform/s/darwin/disabled-darwin/' \
+ Lib/urllib/request.py || die
+
eautoreconf
}
diff --git a/dev-lang/python/python-3.8.5.ebuild b/dev-lang/python/python-3.8.5.ebuild
index 4b87c91b40..32c823df81 100644
--- a/dev-lang/python/python-3.8.5.ebuild
+++ b/dev-lang/python/python-3.8.5.ebuild
@@ -109,6 +109,11 @@ src_prepare() {
configure.ac configure || die
fi
+ # side-effect of disabling scproxy (see below), make sure we don't
+ # try to use it on Darwin either
+ sed -i -e '/sys.platform/s/darwin/disabled-darwin/' \
+ Lib/urllib/request.py || die
+
eautoreconf
}
next reply other threads:[~2020-11-23 20:08 UTC|newest]
Thread overview: 97+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-11-23 20:08 Fabian Groffen [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-04-11 11:31 [gentoo-commits] repo/proj/prefix:master commit in: dev-lang/python/ Fabian Groffen
2024-04-09 14:41 Fabian Groffen
2024-04-09 11:03 Fabian Groffen
2024-04-06 20:09 Fabian Groffen
2024-01-23 8:31 Fabian Groffen
2024-01-23 8:06 Fabian Groffen
2024-01-21 13:40 Fabian Groffen
2024-01-21 12:02 Fabian Groffen
2024-01-15 16:34 Sam James
2023-06-28 6:27 Fabian Groffen
2023-06-01 6:41 Fabian Groffen
2023-05-05 7:05 Fabian Groffen
2023-05-04 17:10 Fabian Groffen
2023-05-04 7:34 Fabian Groffen
2023-05-03 7:11 Fabian Groffen
2023-05-03 6:20 Fabian Groffen
2023-05-02 18:47 Fabian Groffen
2023-01-05 9:32 Fabian Groffen
2022-06-08 11:04 Fabian Groffen
2022-05-12 17:10 Fabian Groffen
2022-05-11 20:18 Fabian Groffen
2022-04-14 17:05 Fabian Groffen
2022-01-23 1:38 Sam James
2022-01-23 1:38 Sam James
2022-01-23 1:21 Sam James
2021-08-22 12:42 Fabian Groffen
2021-08-15 11:00 Fabian Groffen
2021-08-15 11:00 Fabian Groffen
2021-04-10 14:53 Fabian Groffen
2021-04-04 8:42 Fabian Groffen
2021-02-18 8:00 Fabian Groffen
2021-01-21 11:15 Fabian Groffen
2021-01-08 15:23 Fabian Groffen
2021-01-06 11:57 Fabian Groffen
2021-01-04 10:53 Fabian Groffen
2021-01-02 14:19 Fabian Groffen
2021-01-02 9:54 Fabian Groffen
2021-01-01 20:37 Fabian Groffen
2021-01-01 17:46 Fabian Groffen
2020-12-31 21:06 Fabian Groffen
2020-12-26 19:16 Fabian Groffen
2020-12-26 13:05 Fabian Groffen
2020-12-16 7:21 Fabian Groffen
2020-12-15 19:43 Fabian Groffen
2020-12-11 14:31 Fabian Groffen
2020-08-02 11:14 Fabian Groffen
2020-06-23 18:34 Fabian Groffen
2020-06-04 13:33 Fabian Groffen
2020-06-04 12:39 Fabian Groffen
2020-05-31 17:13 Fabian Groffen
2020-05-31 12:04 Fabian Groffen
2020-05-30 16:34 Fabian Groffen
2019-06-18 14:01 Fabian Groffen
2019-03-25 6:02 Fabian Groffen
2019-03-24 20:44 Fabian Groffen
2019-03-22 13:37 Fabian Groffen
2019-03-22 13:37 Fabian Groffen
2019-03-22 13:08 Fabian Groffen
2019-03-22 10:38 Fabian Groffen
2019-03-22 9:55 Fabian Groffen
2019-02-25 9:58 Michael Haubenwallner
2019-02-19 12:00 Fabian Groffen
2019-02-18 14:51 Michael Haubenwallner
2019-02-14 17:00 Michael Haubenwallner
2019-02-14 11:38 Michael Haubenwallner
2018-06-01 20:02 Fabian Groffen
2018-05-03 12:05 Fabian Groffen
2018-05-03 12:05 Fabian Groffen
2018-04-07 14:03 Fabian Groffen
2018-04-04 18:14 Fabian Groffen
2018-01-22 15:38 Michael Haubenwallner
2017-12-29 22:35 Michael Haubenwallner
2017-12-29 22:25 Michael Haubenwallner
2017-12-29 13:25 Fabian Groffen
2017-12-27 18:35 Fabian Groffen
2017-10-30 16:53 Fabian Groffen
2017-08-24 19:07 Fabian Groffen
2017-08-20 8:49 Fabian Groffen
2016-07-01 15:50 Fabian Groffen
2016-07-01 15:50 Fabian Groffen
2016-07-01 14:31 Fabian Groffen
2016-05-12 13:41 Michael Haubenwallner
2016-02-18 17:28 Fabian Groffen
2016-02-02 20:06 Fabian Groffen
2016-02-01 19:08 Fabian Groffen
2016-01-24 13:30 Fabian Groffen
2016-01-24 13:21 Fabian Groffen
2016-01-24 13:21 Fabian Groffen
2016-01-24 13:21 Fabian Groffen
2016-01-24 13:21 Fabian Groffen
2016-01-24 13:21 Fabian Groffen
2016-01-14 12:07 Fabian Groffen
2015-12-21 15:22 Fabian Groffen
2015-12-18 10:53 Fabian Groffen
2015-12-16 7:44 Fabian Groffen
2015-12-14 20:39 Fabian Groffen
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1606162086.d488453d99b00f15cbaa41793b227bacb489f869.grobian@gentoo \
--to=grobian@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox